{% extends 'base.html' %}
{% block head %}

    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@altcensored">
    <meta name="twitter:creator" content="@altcensored">

    <meta property="og:description" content="'we show what they hide'">
    <meta property="og:type" content="article">
    <meta property="og:image" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">
    <meta property="og:url" content="https://{{ config['MYSERVER_NAME'] }}">
    <meta property="og:title" content="{{ session.videocount | viewdisplay }}+ Limited State/Deleted Videos; {{ session.delchannelcount | viewdisplay }} Deleted Channels">

{% endblock %}
{% block content %}

    {% with active_nav='settings' %}
        {% include "widgets/navtabs.html" %}
    {% endwith %}
    <br>
    <br>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g h-box">
                <div class="pure-u-1-4">
                    <div class="pure-u-1 pure-md-1-1">
                        <a href="{{ url_for('settings.index') }}">
                            <img height="22px" src="{{ url_for('static', filename='flags/by_locale') }}/{{locale}}.svg">
                            <b>{{ gettext('Site') }}</b></a>
                    </div>
                </div>
                {% if session.user %}
                    <div class="pure-u-1-4" style="text-align:center;">
                        <div class="pure-u-1 pure-md-1-1">
                            <a href="{{ url_for('user.item', username=session.user.username) }}">
                                <i class='ion-ios-contact' style="font-size: 24px"></i>
                                <b>{{ gettext('User') }}</b></a>
                        </div>
                    </div>
                    <div class="pure-u-1-4" style="text-align:right;">
                        <div class="pure-u-1 pure-md-1-1">
                            <a href="{{ url_for('user.playlist') }}">
                                <i class='ion-md-list' style="font-size: 24px"></i>
                                <b>{{ gettext('Playlist') }}</b></a>
                        </div>
                    </div>
                {% endif %}
            </div>
            <div class="h-box">
                <form class="pure-form pure-form-aligned" name=site method="post">
                    <fieldset>
                        <div class="pure-control-group">
                            <label for="Language"> {{ gettext('Language') }}:</label>
                            <select name=locale>
                                <option value="{{locale}}" SELECTED>{{locale}}</option>"
                                {% for locale in locales %}
                                    <option value="{{locale}}">{{locale}}</option>"
                                {% endfor %}
                            </select>
                        </div>
                        <div class="pure-control-group">
                            <label for="Theme"> {{ gettext('Theme') }}: </label>
                            <select name=theme>
                                <option value="{{theme}}" SELECTED>{{theme}}</option>"
                                {% for theme in themes %}
                                    <option value="{{theme}}">{{theme}}</option>"
                                {% endfor %}
                            </select>
                        </div>
                        <div class="pure-control-group">
                            <label for="AutoPlay"> {{ gettext('Auto Play') }}: </label>
                            <select name=autoplay>
                                <option value="{{session.autoplay}}" SELECTED>{{session.autoplay}}</option>"
                                {% if session.autoplay %}
                                    <option value=False>{{ gettext('False') }}</option>"
                                {% else %}
                                    <option value=True>{{ gettext('True') }}</option>"
                                {% endif %}
                            </select>
                        </div>                        <div class="pure-control-group">
                            <label for="PlayNext"> {{ gettext('Play Next') }}: </label>
                            <select name=playnext>
                                <option value="{{session.playnext}}" SELECTED>{{session.playnext}}</option>"
                                {% if session.playnext %}
                                    <option value=False>{{ gettext('False') }}</option>"
                                {% else %}
                                    <option value=True>{{ gettext('True') }}</option>"
                                {% endif %}
                            </select>
                        </div>
                        <div class="pure-control-group">
                            <label for="LoopList"> {{ gettext('Loop List') }}: </label>
                            <select name=looplist>
                                <option value="{{session.looplist}}" SELECTED>{{session.looplist}}</option>"
                                {% if session.looplist %}
                                    <option value=False>{{ gettext('False') }}</option>"
                                {% else %}
                                    <option value=True>{{ gettext('True') }}</option>"
                                {% endif %}
                            </select>
                        </div>
                        <div class="pure-control-group">
                            <label for="Menu"> {{ gettext('Menu') }}:</label>
                            <select name=navtab1_value>
                                <option value="{{navtabs["navtab1"]}}" SELECTED>{{navtabs["navtab1"]}}</option>"
                                {% for navtab1_value in navtab1_values %}
                                    <option value="{{navtab1_value}}">{{navtab1_value}}</option>"
                                {% endfor %}
                            </select>
                            <select name=navtab2_value>
                                <option value="{{navtabs["navtab2"]}}" SELECTED>{{navtabs["navtab2"]}}</option>"
                                {% for navtab2_value in navtab2_values %}
                                    <option value="{{navtab2_value}}">{{navtab2_value}}</option>"
                                {% endfor %}
                            </select>
                            <select name=navtab3_value>
                                <option value="{{navtabs["navtab3"]}}" SELECTED>{{navtabs["navtab3"]}}</option>"
                                {% for navtab3_value in navtab3_values %}
                                    <option value="{{navtab3_value}}">{{navtab3_value}}</option>"
                                {% endfor %}
                            </select>
                        </div>
                        <div class="pure-controls">
                            <button class="pure-button" type="submit" name="submit" value="login">{{ gettext('Save') }}</button>
                        </div>
                    </fieldset>
                </form>
            </div>
        </div>
    </div>
    </div>
    </div>

{% endblock %}